# OSGeo::FDO::Commands::SQL::ISQLDataReaderImp Class Reference
[OSGeo::FDO::Commands::SQL]

Inheritance diagram for OSGeo::FDO::Commands::SQL::ISQLDataReaderImp:

[legend]

List of all members.

## Detailed Description

The ISQLDataReaderImp class is a concrete implementation of ISQLDataReader. The ISQLDataReader interface provides a forward-only, read-only iterator for reading relational table data. A reference to an ISQLDataReader is returned from the SQLCommands ExecuteReader method. The initial position of the ISQLDataReader interface is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

()

## Public Member Functions
System::Void | Close ()
| Closes the ISQLDataReader object, freeing any resources it may be holding.
System::Boolean | GetBoolean (System::String *name)
| Gets the Boolean value of the specified column. No conversion is performed, thus the column must be DataType_Boolean or an exception is thrown.
System::Byte | GetByte (System::String *name)
| Gets the byte value of the specified column. No conversion is performed, thus the column must be DataType_Byte or an exception is thrown.
System::Int32 | GetColumnCount ()
| Gets the number of columns in the result set.
System::String * | GetColumnName (System::Int32 index)
| Gets the name of the column at the given ordinal position.
OSGeo::FDO::Schema::DataType | GetColumnType (System::String *name)
| Gets the data type of the column with the specified name.
System::DateTime | GetDateTime (System::String *name)
| Gets the date time value of the specified column. No conversion is performed, thus the column must be DataType_DateTime or an exception is thrown.
System::Double | GetDouble (System::String *name)
| Gets the double-precision floating point value of the specified column. No conversion is performed, thus the column must be of type Double or an exception is thrown.
System::Byte | GetGeometry (System::String *name)[]
| Gets the geometry value of the specified column as a byte array in FGF format. No conversion is performed, thus the column must be of Geometric type or an exception is thrown.
System::Int16 | GetInt16 (System::String *name)
| Gets the signed 16-bit integer value of the specified column. No conversion is performed, thus the column must be DataType_Int16 or an exception is thrown.
System::Int32 | GetInt32 (System::String *name)
| Gets the signed 32-bit integer value of the specified column. No conversion is performed, thus the column must be DataType_Int32 or an exception is thrown.
System::Int64 | GetInt64 (System::String *name)
| Gets the signed 64-bit integer value of the specified column. No conversion is performed, thus the column must be DataType_Int64 or an exception is thrown.
OSGeo::FDO::Expression::LOBValue * | GetLOB (System::String *name)
| Gets a LOBValue reference. The LOB is fully read in and data available. Because no conversion is performed, the property must be DataType_BLOB or DataType_CLOB etc. (a LOB type).
OSGeo::FDO::Common::IStreamReader * | GetLOBStreamReader (System::String *name)
| Gets a reference of the specified LOB property as a BLOBStreamReader or CLOBStreamReader etc. to allow reading in blocks of data. Because no conversion is performed, the property must be DataType_BLOB or DataType_CLOB etc. (a LOB type) Cast the IStreamReader to the appropiate LOB Stream Reader.
OSGeo::FDO::Schema::PropertyType | GetPropertyType (System::String *name)
| Gets property type of the column with the specified name. This is used to indicate if a given column is a geometric property or a data property. If the column is a PropertyType_DataProperty, then GetColumnType can be used to find the data type of the column.
System::Single | GetSingle (System::String *name)
| Gets the single-precision floating point value of the specified column. No conversion is performed, thus the column must be DataType_Single or an exception is thrown.
System::String * | GetString (System::String *name)
| Gets the string value of the specified column. No conversion is performed, thus the column must be DataType_String or an exception is thrown.
System::Boolean | IsNull (System::String *name)
| Returns true if the value of the specified column is null.
System::Boolean | ReadNext ()
| Advances the reader to the next item. The default position of the reader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.